#!/bin/sh

name="e3"
title="e3"
package="e3"
version="2.4"
build="1"
noarch="n"
build_info="Standard build."

info="A micro text editor written in assembler."
desc="e3 is a text micro editor with a code size less than 13000
bytes. Except for 'syntax highlighting', e3 supports all of
the basic functions one expects plus built-in arithmetic
calculations. If you have installed the stream editor 'sed'
or 'ex', you can use these tools as sub-processes, getting
the full power of regular expressions."
category="text/editor"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ChangeLog,COPYING.GPL,COPYRIGHT,README"
docs_cwd=""

# Don't strip e3!
strip_bin="n"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.sax.de/~adlibit/$name-$version.tar.gz

apply_patch e3-shortjump.pw.patch
apply_patch e3-symlinks.pw.patch

make_option PREFIX=/usr
make_option COMPRESS=

install_option PREFIX=$pkg_main/usr

parent_package="$package"
write_info main

cd $src1

do_make
do_install

make_docs

make_package main

clean_up

# $Log: e3.builder,v $
# Revision 1.3  2002/12/25 23:46:12  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/25 23:31:38  swiergot
# - Touched to force building.
#
# Revision 1.1  2002/12/25 23:13:53  swiergot
# - Initial release.
# - Version 2.4.
#
